#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "kvm-amd.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0xac9ce195, __VMLINUX_SYMBOL_STR(kvm_async_pf_task_wait) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x3996de0, __VMLINUX_SYMBOL_STR(kvm_complete_insn_gp) },
	{ 0x74c08941, __VMLINUX_SYMBOL_STR(kvm_async_pf_task_wake) },
	{ 0x1b693b31, __VMLINUX_SYMBOL_STR(kvm_mmu_load) },
	{ 0xc8ab7ed5, __VMLINUX_SYMBOL_STR(kvm_release_page_dirty) },
	{ 0xb2534c98, __VMLINUX_SYMBOL_STR(kvm_require_dr) },
	{ 0x64a34f49, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_vmexit_inject) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0xb8f55ae, __VMLINUX_SYMBOL_STR(kvm_set_msr_common) },
	{ 0xf0426352, __VMLINUX_SYMBOL_STR(kvm_mmu_invlpg) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0x145302d8, __VMLINUX_SYMBOL_STR(kvm_vcpu_init) },
	{ 0x4c4f1833, __VMLINUX_SYMBOL_STR(boot_cpu_data) },
	{ 0xb2de935a, __VMLINUX_SYMBOL_STR(kvm_emulate_cpuid) },
	{ 0x4c51f664, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_exit) },
	{ 0xe8ad5c9, __VMLINUX_SYMBOL_STR(kvm_queue_exception_e) },
	{ 0x8bcb8f9f, __VMLINUX_SYMBOL_STR(kvm_get_rflags) },
	{ 0x485cd7f6, __VMLINUX_SYMBOL_STR(kvm_rebooting) },
	{ 0x33bac62c, __VMLINUX_SYMBOL_STR(kvm_read_guest) },
	{ 0xc0a3d105, __VMLINUX_SYMBOL_STR(find_next_bit) },
	{ 0xa9cade8, __VMLINUX_SYMBOL_STR(kvm_vcpu_on_spin) },
	{ 0xb407e4b6, __VMLINUX_SYMBOL_STR(kvm_cpuid) },
	{ 0x6386b2b, __VMLINUX_SYMBOL_STR(kvm_mmu_unload) },
	{ 0xd3dad5a7, __VMLINUX_SYMBOL_STR(kvm_mmu_reset_context) },
	{ 0xf24c45e1, __VMLINUX_SYMBOL_STR(kvm_mmu_page_fault) },
	{ 0x44aaf30f, __VMLINUX_SYMBOL_STR(tsc_khz) },
	{ 0x7a2af7b4, __VMLINUX_SYMBOL_STR(cpu_number) },
	{ 0x8a26f7b0, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_intercepts) },
	{ 0x4766633b, __VMLINUX_SYMBOL_STR(kvm_get_dr) },
	{ 0xdeb9e564, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_invlpga) },
	{ 0xbcebc7ba, __VMLINUX_SYMBOL_STR(kvm_set_cr8) },
	{ 0x67f8ad76, __VMLINUX_SYMBOL_STR(kvm_set_cr0) },
	{ 0x242df3c0, __VMLINUX_SYMBOL_STR(kvm_get_cs_db_l_bits) },
	{ 0xa711810, __VMLINUX_SYMBOL_STR(kvm_set_cr4) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0x25ec113b, __VMLINUX_SYMBOL_STR(kvm_mmu_unprotect_page_virt) },
	{ 0x17f0414e, __VMLINUX_SYMBOL_STR(load_pdptrs) },
	{ 0xa508e36b, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_skinit) },
	{ 0x12037297, __VMLINUX_SYMBOL_STR(kvm_write_tsc) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xd0459e67, __VMLINUX_SYMBOL_STR(kvm_has_tsc_control) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x29444f0, __VMLINUX_SYMBOL_STR(native_read_tsc) },
	{ 0x709cd8cb, __VMLINUX_SYMBOL_STR(kvm_spurious_fault) },
	{ 0x5fdfa2c1, __VMLINUX_SYMBOL_STR(amd_pmu_enable_virt) },
	{ 0x3b5dd35e, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_msr) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0xdb24bfb5, __VMLINUX_SYMBOL_STR(kvm_emulate_hypercall) },
	{ 0x95f5793f, __VMLINUX_SYMBOL_STR(kvm_set_dr) },
	{ 0x3e1f72e0, __VMLINUX_SYMBOL_STR(kvm_vcpu_cache) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0xdfcb724b, __VMLINUX_SYMBOL_STR(kvm_is_linear_rip) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x801e0f4c, __VMLINUX_SYMBOL_STR(kvm_x86_ops) },
	{ 0xa0e1cdfb, __VMLINUX_SYMBOL_STR(kvm_get_cr8) },
	{ 0x3bde0d9d, __VMLINUX_SYMBOL_STR(kmem_cache_free) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0xa7e699bc, __VMLINUX_SYMBOL_STR(kvm_set_cr3) },
	{ 0x8c796abe, __VMLINUX_SYMBOL_STR(kvm_emulate_wbinvd) },
	{ 0x831327da, __VMLINUX_SYMBOL_STR(kvm_max_guest_tsc_khz) },
	{ 0xf7f4d8f0, __VMLINUX_SYMBOL_STR(kvm_before_handle_nmi) },
	{ 0x531cc7d6, __VMLINUX_SYMBOL_STR(kvm_cpu_has_interrupt) },
	{ 0x53a2a3f7, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_inj_virq) },
	{ 0x9ee59155, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_page_fault) },
	{ 0x788a74ca, __VMLINUX_SYMBOL_STR(kvm_set_rflags) },
	{ 0x7c502ab9, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_intr_vmexit) },
	{ 0xac3e93e3, __VMLINUX_SYMBOL_STR(kmem_cache_alloc) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0xcef3fec5, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_write_tsc_offset) },
	{ 0xb1ac776d, __VMLINUX_SYMBOL_STR(cpu_tlbstate) },
	{ 0xa2c72dd1, __VMLINUX_SYMBOL_STR(kvm_after_handle_nmi) },
	{ 0xac0e6137, __VMLINUX_SYMBOL_STR(kvm_queue_exception) },
	{ 0x73032782, __VMLINUX_SYMBOL_STR(cpu_possible_mask) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0xd8e0eca2, __VMLINUX_SYMBOL_STR(kvm_init_shadow_mmu) },
	{ 0x775a6ef5, __VMLINUX_SYMBOL_STR(kvm_read_and_reset_pf_reason) },
	{ 0x3d9ee9f0, __VMLINUX_SYMBOL_STR(clear_page) },
	{ 0xc8bc232a, __VMLINUX_SYMBOL_STR(kvm_requeue_exception_e) },
	{ 0x685ae9e5, __VMLINUX_SYMBOL_STR(pv_cpu_ops) },
	{ 0xaaf935, __VMLINUX_SYMBOL_STR(kvm_disable_tdp) },
	{ 0x73608299, __VMLINUX_SYMBOL_STR(x86_emulate_instruction) },
	{ 0x8ce4f3ab, __VMLINUX_SYMBOL_STR(kvm_enable_tdp) },
	{ 0xe8f69b5, __VMLINUX_SYMBOL_STR(kvm_task_switch) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xb19a5453, __VMLINUX_SYMBOL_STR(__per_cpu_offset) },
	{ 0xa099774a, __VMLINUX_SYMBOL_STR(kvm_set_xcr) },
	{ 0xaf275715, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_vmrun) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0xc99862a4, __VMLINUX_SYMBOL_STR(kvm_emulate_halt) },
	{ 0xc2e45c4b, __VMLINUX_SYMBOL_STR(kvm_vcpu_uninit) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x30c5fedc, __VMLINUX_SYMBOL_STR(kvm_get_msr_common) },
	{ 0xc23e1559, __VMLINUX_SYMBOL_STR(pv_mmu_ops) },
	{ 0x4bce905c, __VMLINUX_SYMBOL_STR(gfn_to_page) },
	{ 0x6a6e228a, __VMLINUX_SYMBOL_STR(kvm_fast_pio_out) },
	{ 0x317f9e6b, __VMLINUX_SYMBOL_STR(kvm_enable_efer_bits) },
	{ 0x7f2c1163, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_vmexit) },
	{ 0x1e79f65e, __VMLINUX_SYMBOL_STR(kvm_set_msr) },
	{ 0x783259d9, __VMLINUX_SYMBOL_STR(kvm_init) },
	{ 0x27046576, __VMLINUX_SYMBOL_STR(kvm_exit) },
	{ 0x695864f9, __VMLINUX_SYMBOL_STR(kvm_requeue_exception) },
	{ 0x18582826, __VMLINUX_SYMBOL_STR(amd_pmu_disable_virt) },
	{ 0xcd637ba9, __VMLINUX_SYMBOL_STR(kvm_read_guest_page) },
	{ 0xb51b1a17, __VMLINUX_SYMBOL_STR(kvm_rdpmc) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=kvm";

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "BFA7476B7B8D8084716A5AC");
