#include <linux/sdt.h>
extern void i2c_smbus_xfer(void);
extern void __i2c_transfer(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_i2c_read",  "__i2c_transfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)__i2c_transfer+0x00000000000000d7 },
  {"__perf_i2c_reply",  "__i2c_transfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)__i2c_transfer+0x000000000000017c },
  {"__perf_i2c_result",  "__i2c_transfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)__i2c_transfer+0x000000000000019c },
  {"__perf_i2c_write",  "__i2c_transfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)__i2c_transfer+0x00000000000001b9 },
  {"__perf_smbus_write",  "i2c_smbus_xfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)i2c_smbus_xfer+0x0000000000000073 },
  {"__perf_smbus_read",  "i2c_smbus_xfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)i2c_smbus_xfer+0x0000000000000094 },
  {"__perf_smbus_reply",  "i2c_smbus_xfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)i2c_smbus_xfer+0x00000000000001c7 },
  {"__perf_smbus_result",  "i2c_smbus_xfer" /* .text */, 0 /* sdt_args string */, (uintptr_t)i2c_smbus_xfer+0x00000000000001ef },
};

#define _sdt_probec	8
