#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "ib_sa.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x3593eba8, __VMLINUX_SYMBOL_STR(ib_find_cached_gid) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0xb3d59d98, __VMLINUX_SYMBOL_STR(param_get_int) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x4947d033, __VMLINUX_SYMBOL_STR(rdma_port_get_link_layer) },
	{ 0xb3b7e30f, __VMLINUX_SYMBOL_STR(ib_find_pkey) },
	{ 0x79aa04a2, __VMLINUX_SYMBOL_STR(get_random_bytes) },
	{ 0x1382c4, __VMLINUX_SYMBOL_STR(ib_register_mad_agent) },
	{ 0x51517202, __VMLINUX_SYMBOL_STR(ib_free_recv_mad) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xd2b04349, __VMLINUX_SYMBOL_STR(param_set_int) },
	{ 0x22f3cf93, __VMLINUX_SYMBOL_STR(ib_pack) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xccbc3b5e, __VMLINUX_SYMBOL_STR(ib_destroy_ah) },
	{ 0x534eb370, __VMLINUX_SYMBOL_STR(ib_free_send_mad) },
	{ 0xece784c2, __VMLINUX_SYMBOL_STR(rb_first) },
	{ 0xa6f8108c, __VMLINUX_SYMBOL_STR(ibnl_chk_listeners) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0x614dabe, __VMLINUX_SYMBOL_STR(idr_destroy) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0xad039c54, __VMLINUX_SYMBOL_STR(mod_delayed_work_on) },
	{ 0xd1b8cf8, __VMLINUX_SYMBOL_STR(ib_get_client_data) },
	{ 0x4d9b652b, __VMLINUX_SYMBOL_STR(rb_erase) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x8d7c4d2f, __VMLINUX_SYMBOL_STR(nla_put) },
	{ 0x2f5062fc, __VMLINUX_SYMBOL_STR(ib_query_port) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x84ffea8b, __VMLINUX_SYMBOL_STR(idr_preload) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xb74787a0, __VMLINUX_SYMBOL_STR(idr_alloc) },
	{ 0x22ff7143, __VMLINUX_SYMBOL_STR(ib_set_client_data) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0xc80b4252, __VMLINUX_SYMBOL_STR(ib_create_send_mad) },
	{ 0x322f1fb9, __VMLINUX_SYMBOL_STR(ib_post_send_mad) },
	{ 0xfb73fb98, __VMLINUX_SYMBOL_STR(idr_remove) },
	{ 0xbc2a4d88, __VMLINUX_SYMBOL_STR(ib_unregister_mad_agent) },
	{ 0x9ac0e9a3, __VMLINUX_SYMBOL_STR(ib_register_client) },
	{ 0x8e89c545, __VMLINUX_SYMBOL_STR(ib_create_ah) },
	{ 0x13f4111f, __VMLINUX_SYMBOL_STR(ib_unregister_event_handler) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x1f4373e7, __VMLINUX_SYMBOL_STR(netlink_capable) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0x22d75bf9, __VMLINUX_SYMBOL_STR(__alloc_skb) },
	{ 0x905f0f75, __VMLINUX_SYMBOL_STR(ib_register_event_handler) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x4f391d0e, __VMLINUX_SYMBOL_STR(nla_parse) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0xc940404f, __VMLINUX_SYMBOL_STR(kfree_skb) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0xfcb56fb9, __VMLINUX_SYMBOL_STR(ib_cancel_mad) },
	{ 0xf390a0ee, __VMLINUX_SYMBOL_STR(ibnl_multicast) },
	{ 0x5611cdea, __VMLINUX_SYMBOL_STR(rdma_node_get_transport) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x50687a2f, __VMLINUX_SYMBOL_STR(ibnl_add_client) },
	{ 0xa5526619, __VMLINUX_SYMBOL_STR(rb_insert_color) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xc67f14a5, __VMLINUX_SYMBOL_STR(ibnl_remove_client) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0xa432baf6, __VMLINUX_SYMBOL_STR(ib_unpack) },
	{ 0xca9360b5, __VMLINUX_SYMBOL_STR(rb_next) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0xdbd019c4, __VMLINUX_SYMBOL_STR(ib_wq) },
	{ 0x5825c7fe, __VMLINUX_SYMBOL_STR(ibnl_put_msg) },
	{ 0x9111492f, __VMLINUX_SYMBOL_STR(ib_unregister_client) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=ib_core,ib_mad";


MODULE_INFO(srcversion, "8D811782029908C753279F2");
