#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "xsvnic.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x79a49e8d, __VMLINUX_SYMBOL_STR(xscore_conn_disconnect) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x349cba85, __VMLINUX_SYMBOL_STR(strchr) },
	{ 0x2120948f, __VMLINUX_SYMBOL_STR(single_open) },
	{ 0xad70f235, __VMLINUX_SYMBOL_STR(xcpm_check_duplicate_names) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0xbea87119, __VMLINUX_SYMBOL_STR(skb_pad) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x6b73073c, __VMLINUX_SYMBOL_STR(xscore_conn_destroy) },
	{ 0x6d5b5f7c, __VMLINUX_SYMBOL_STR(seq_open) },
	{ 0xc504a7a6, __VMLINUX_SYMBOL_STR(single_release) },
	{ 0x5953abd4, __VMLINUX_SYMBOL_STR(xscore_refill_recv) },
	{ 0x3fb8a666, __VMLINUX_SYMBOL_STR(seq_puts) },
	{ 0xb3b2518f, __VMLINUX_SYMBOL_STR(xcpm_get_xsmp_session_info) },
	{ 0x7a7a9cf8, __VMLINUX_SYMBOL_STR(xscore_post_send_sg) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x3b4f45d2, __VMLINUX_SYMBOL_STR(remove_proc_entry) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x64d48908, __VMLINUX_SYMBOL_STR(seq_read) },
	{ 0xc499ae1e, __VMLINUX_SYMBOL_STR(kstrdup) },
	{ 0x32568f5a, __VMLINUX_SYMBOL_STR(xscore_modify_cq) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xdf6ee8de, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0x5979a3a4, __VMLINUX_SYMBOL_STR(xsmp_sessions_match) },
	{ 0xbfc13141, __VMLINUX_SYMBOL_STR(xscore_read_buf) },
	{ 0x8f5c6a98, __VMLINUX_SYMBOL_STR(__netdev_alloc_skb) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x8da01b3d, __VMLINUX_SYMBOL_STR(PDE_DATA) },
	{ 0x60ea2d6, __VMLINUX_SYMBOL_STR(kstrtoull) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x4e9ec3c4, __VMLINUX_SYMBOL_STR(proc_mkdir) },
	{ 0xc6001563, __VMLINUX_SYMBOL_STR(xscore_enable_rxintr) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x37befc70, __VMLINUX_SYMBOL_STR(jiffies_to_msecs) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x738f1b0f, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0xe8f07064, __VMLINUX_SYMBOL_STR(xcpm_send_message) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0x373db350, __VMLINUX_SYMBOL_STR(kstrtoint) },
	{ 0xd1521692, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0xde806251, __VMLINUX_SYMBOL_STR(__get_page_tail) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0x173ec0c5, __VMLINUX_SYMBOL_STR(lro_receive_skb) },
	{ 0xd7373e29, __VMLINUX_SYMBOL_STR(xscore_wait_for_sessions) },
	{ 0xfa0a7919, __VMLINUX_SYMBOL_STR(xcpm_free_msg) },
	{ 0x5c89b93f, __VMLINUX_SYMBOL_STR(netif_receive_skb_sk) },
	{ 0x22d75bf9, __VMLINUX_SYMBOL_STR(__alloc_skb) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x9a99eae4, __VMLINUX_SYMBOL_STR(alloc_netdev_mqs) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0xe5d8be5d, __VMLINUX_SYMBOL_STR(lro_flush_all) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0x3ca0b129, __VMLINUX_SYMBOL_STR(xscore_conn_connect) },
	{ 0x920768d5, __VMLINUX_SYMBOL_STR(pskb_expand_head) },
	{ 0x934a40aa, __VMLINUX_SYMBOL_STR(xcpm_send_msg_xsigod) },
	{ 0x90421fd0, __VMLINUX_SYMBOL_STR(ether_setup) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0x36dd925f, __VMLINUX_SYMBOL_STR(proc_create_data) },
	{ 0xf426c6c9, __VMLINUX_SYMBOL_STR(seq_lseek) },
	{ 0x6b647e40, __VMLINUX_SYMBOL_STR(xcpm_unregister_service) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x3037ce47, __VMLINUX_SYMBOL_STR(xscore_conn_init) },
	{ 0xef26f75a, __VMLINUX_SYMBOL_STR(xcpm_alloc_msg) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0xc0bc6cad, __VMLINUX_SYMBOL_STR(seq_release) },
	{ 0xb0e602eb, __VMLINUX_SYMBOL_STR(memmove) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x57990a6b, __VMLINUX_SYMBOL_STR(xscore_post_send) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0x53f6ffbc, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x3ee12a23, __VMLINUX_SYMBOL_STR(xcpm_register_service) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
	{ 0xa9ec7dd, __VMLINUX_SYMBOL_STR(xscore_poll_send) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=xscore";


MODULE_INFO(srcversion, "42548D08FC0151B340CC292");
