#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "igbvf.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x3ce4ca6f, __VMLINUX_SYMBOL_STR(disable_irq) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0xd6ee688f, __VMLINUX_SYMBOL_STR(vmalloc) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x91eb9b4, __VMLINUX_SYMBOL_STR(round_jiffies) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0x79aa04a2, __VMLINUX_SYMBOL_STR(get_random_bytes) },
	{ 0x904e94af, __VMLINUX_SYMBOL_STR(dma_set_mask) },
	{ 0x1d2d5f1a, __VMLINUX_SYMBOL_STR(pci_disable_device) },
	{ 0xcd77c414, __VMLINUX_SYMBOL_STR(pci_disable_msix) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0xc0a3d105, __VMLINUX_SYMBOL_STR(find_next_bit) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0x9f38887e, __VMLINUX_SYMBOL_STR(x86_dma_fallback_dev) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0xc33a7685, __VMLINUX_SYMBOL_STR(pci_release_regions) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x999e8297, __VMLINUX_SYMBOL_STR(vfree) },
	{ 0x552ce7eb, __VMLINUX_SYMBOL_STR(ipv6_find_hdr) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0xf5952e8, __VMLINUX_SYMBOL_STR(netif_napi_del) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x8f5c6a98, __VMLINUX_SYMBOL_STR(__netdev_alloc_skb) },
	{ 0x27c33efe, __VMLINUX_SYMBOL_STR(csum_ipv6_magic) },
	{ 0x4af29a8b, __VMLINUX_SYMBOL_STR(__pskb_pull_tail) },
	{ 0x173c7d98, __VMLINUX_SYMBOL_STR(pci_set_master) },
	{ 0xd5f2172f, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0x10d35870, __VMLINUX_SYMBOL_STR(pci_restore_state) },
	{ 0x8b8fa4d2, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x7567599d, __VMLINUX_SYMBOL_STR(ethtool_op_get_link) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x7bec390c, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_irq) },
	{ 0x8834396c, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0xd6b8e852, __VMLINUX_SYMBOL_STR(request_threaded_irq) },
	{ 0xde806251, __VMLINUX_SYMBOL_STR(__get_page_tail) },
	{ 0x7e67f432, __VMLINUX_SYMBOL_STR(netif_device_attach) },
	{ 0x71d64183, __VMLINUX_SYMBOL_STR(napi_gro_receive) },
	{ 0x1039e0cc, __VMLINUX_SYMBOL_STR(_dev_info) },
	{ 0x40a9b349, __VMLINUX_SYMBOL_STR(vzalloc) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0xeb6f020, __VMLINUX_SYMBOL_STR(netif_device_detach) },
	{ 0x42c8de35, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0x12a38747, __VMLINUX_SYMBOL_STR(usleep_range) },
	{ 0xfad27005, __VMLINUX_SYMBOL_STR(pci_enable_msix_range) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0x416d1a04, __VMLINUX_SYMBOL_STR(skb_checksum_help) },
	{ 0x2c1960a5, __VMLINUX_SYMBOL_STR(passthru_features_check) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0x920768d5, __VMLINUX_SYMBOL_STR(pskb_expand_head) },
	{ 0x1e98219, __VMLINUX_SYMBOL_STR(pci_unregister_driver) },
	{ 0xcc5005fe, __VMLINUX_SYMBOL_STR(msleep_interruptible) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xfcec0987, __VMLINUX_SYMBOL_STR(enable_irq) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x238431c0, __VMLINUX_SYMBOL_STR(pci_request_regions) },
	{ 0xb13eaea0, __VMLINUX_SYMBOL_STR(dma_supported) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0x194bac91, __VMLINUX_SYMBOL_STR(__pci_register_driver) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0xb352177e, __VMLINUX_SYMBOL_STR(find_first_bit) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x817b1aa0, __VMLINUX_SYMBOL_STR(pci_enable_device_mem) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0x9e7d6bd0, __VMLINUX_SYMBOL_STR(__udelay) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0xf20dabd8, __VMLINUX_SYMBOL_STR(free_irq) },
	{ 0x65185c9d, __VMLINUX_SYMBOL_STR(pci_save_state) },
	{ 0xad585ca6, __VMLINUX_SYMBOL_STR(alloc_etherdev_mqs) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v00008086d000010CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001520sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F9A4929C0F1719BDBD1AD83");
