#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "mlx4_vnic.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x2d878b69, __VMLINUX_SYMBOL_STR(up_read) },
	{ 0x5ac21ebc, __VMLINUX_SYMBOL_STR(mlx4_qp_reserve_range) },
	{ 0xb7bbb477, __VMLINUX_SYMBOL_STR(ib_attach_mcast) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0x87cfe715, __VMLINUX_SYMBOL_STR(ib_query_gid) },
	{ 0xd6ee688f, __VMLINUX_SYMBOL_STR(vmalloc) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0x467528c9, __VMLINUX_SYMBOL_STR(mlx4_qp_alloc) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0xaf669f2d, __VMLINUX_SYMBOL_STR(_raw_write_lock_irqsave) },
	{ 0x883bfc41, __VMLINUX_SYMBOL_STR(ib_dealloc_pd) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x2144bb8a, __VMLINUX_SYMBOL_STR(hrtimer_forward) },
	{ 0x4947d033, __VMLINUX_SYMBOL_STR(rdma_port_get_link_layer) },
	{ 0xb3b7e30f, __VMLINUX_SYMBOL_STR(ib_find_pkey) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0xb29eef42, __VMLINUX_SYMBOL_STR(ib_sa_join_multicast) },
	{ 0x642c927f, __VMLINUX_SYMBOL_STR(hrtimer_cancel) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0x8b900f3b, __VMLINUX_SYMBOL_STR(_raw_read_lock) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x1637ff0f, __VMLINUX_SYMBOL_STR(_raw_spin_lock_bh) },
	{ 0x42bde218, __VMLINUX_SYMBOL_STR(ib_destroy_qp) },
	{ 0x77e200fe, __VMLINUX_SYMBOL_STR(dev_get_by_name) },
	{ 0x1e236448, __VMLINUX_SYMBOL_STR(ib_init_ah_from_path) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0xe6e0a0f7, __VMLINUX_SYMBOL_STR(ib_query_pkey) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0x6fe564fd, __VMLINUX_SYMBOL_STR(mlx4_db_alloc) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x797c8fa9, __VMLINUX_SYMBOL_STR(cancel_delayed_work_sync) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x628d29e6, __VMLINUX_SYMBOL_STR(ib_modify_cq) },
	{ 0x999e8297, __VMLINUX_SYMBOL_STR(vfree) },
	{ 0x4629334c, __VMLINUX_SYMBOL_STR(__preempt_count) },
	{ 0x7a2af7b4, __VMLINUX_SYMBOL_STR(cpu_number) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0xdaf76d03, __VMLINUX_SYMBOL_STR(skb_realloc_headroom) },
	{ 0x782e50fc, __VMLINUX_SYMBOL_STR(mlx4_buf_free) },
	{ 0xf5952e8, __VMLINUX_SYMBOL_STR(netif_napi_del) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xccbc3b5e, __VMLINUX_SYMBOL_STR(ib_destroy_ah) },
	{ 0xe41861f6, __VMLINUX_SYMBOL_STR(ib_modify_qp) },
	{ 0x99a2da7, __VMLINUX_SYMBOL_STR(mlx4_qp_free) },
	{ 0xee5fc269, __VMLINUX_SYMBOL_STR(down_read) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0xe70c9ab0, __VMLINUX_SYMBOL_STR(_raw_write_unlock_irqrestore) },
	{ 0x97122c23, __VMLINUX_SYMBOL_STR(mlx4_qp_remove) },
	{ 0x9aed0bf0, __VMLINUX_SYMBOL_STR(ib_create_srq) },
	{ 0x576fdbac, __VMLINUX_SYMBOL_STR(ib_sa_free_multicast) },
	{ 0xece784c2, __VMLINUX_SYMBOL_STR(rb_first) },
	{ 0x27c33efe, __VMLINUX_SYMBOL_STR(csum_ipv6_magic) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x831e1b66, __VMLINUX_SYMBOL_STR(ib_create_qp) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0x7ac9ed44, __VMLINUX_SYMBOL_STR(mlx4_mtt_init) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0xffad377d, __VMLINUX_SYMBOL_STR(netif_schedule_queue) },
	{ 0xcce3da26, __VMLINUX_SYMBOL_STR(ib_alloc_pd) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x1a6c1aea, __VMLINUX_SYMBOL_STR(ib_get_dma_mr) },
	{ 0x5110418b, __VMLINUX_SYMBOL_STR(ib_query_device) },
	{ 0x37befc70, __VMLINUX_SYMBOL_STR(jiffies_to_msecs) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x7567599d, __VMLINUX_SYMBOL_STR(ethtool_op_get_link) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0xe15f42bb, __VMLINUX_SYMBOL_STR(_raw_spin_trylock) },
	{ 0x3c3fce39, __VMLINUX_SYMBOL_STR(__local_bh_enable_ip) },
	{ 0xc3073821, __VMLINUX_SYMBOL_STR(mlx4_qp_modify) },
	{ 0x5fdcfad3, __VMLINUX_SYMBOL_STR(ib_destroy_srq) },
	{ 0xa891a131, __VMLINUX_SYMBOL_STR(mlx4_buf_alloc) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0x62849ac7, __VMLINUX_SYMBOL_STR(dev_valid_name) },
	{ 0xd1b8cf8, __VMLINUX_SYMBOL_STR(ib_get_client_data) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0x4d9b652b, __VMLINUX_SYMBOL_STR(rb_erase) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x5a921311, __VMLINUX_SYMBOL_STR(strncmp) },
	{ 0x2f5062fc, __VMLINUX_SYMBOL_STR(ib_query_port) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x738f1b0f, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x143687b2, __VMLINUX_SYMBOL_STR(_raw_write_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xcbf3699a, __VMLINUX_SYMBOL_STR(netif_set_real_num_tx_queues) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0xd1521692, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x87025256, __VMLINUX_SYMBOL_STR(up_write) },
	{ 0x470a49ea, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0x87c18a1f, __VMLINUX_SYMBOL_STR(down_write) },
	{ 0x22ff7143, __VMLINUX_SYMBOL_STR(ib_set_client_data) },
	{ 0xde806251, __VMLINUX_SYMBOL_STR(__get_page_tail) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0x2fd0e42f, __VMLINUX_SYMBOL_STR(ib_sa_unregister_client) },
	{ 0x4b82a569, __VMLINUX_SYMBOL_STR(ib_destroy_cq) },
	{ 0xf11543ff, __VMLINUX_SYMBOL_STR(find_first_zero_bit) },
	{ 0x63a82840, __VMLINUX_SYMBOL_STR(ib_sa_path_rec_get) },
	{ 0x173ec0c5, __VMLINUX_SYMBOL_STR(lro_receive_skb) },
	{ 0x9ac0e9a3, __VMLINUX_SYMBOL_STR(ib_register_client) },
	{ 0xda0d50ec, __VMLINUX_SYMBOL_STR(ib_sa_cancel_query) },
	{ 0x5c89b93f, __VMLINUX_SYMBOL_STR(netif_receive_skb_sk) },
	{ 0x8e89c545, __VMLINUX_SYMBOL_STR(ib_create_ah) },
	{ 0x13f4111f, __VMLINUX_SYMBOL_STR(ib_unregister_event_handler) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x45416a18, __VMLINUX_SYMBOL_STR(dev_queue_xmit_sk) },
	{ 0x22d75bf9, __VMLINUX_SYMBOL_STR(__alloc_skb) },
	{ 0x360bc003, __VMLINUX_SYMBOL_STR(ib_detach_mcast) },
	{ 0x905f0f75, __VMLINUX_SYMBOL_STR(ib_register_event_handler) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0x9471184f, __VMLINUX_SYMBOL_STR(mlx4_db_free) },
	{ 0x979a3fd1, __VMLINUX_SYMBOL_STR(sysfs_remove_file_ns) },
	{ 0xba63339c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_bh) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x366d30e3, __VMLINUX_SYMBOL_STR(mlx4_qp_query) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x5425000e, __VMLINUX_SYMBOL_STR(mlx4_mtt_cleanup) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0xee161b23, __VMLINUX_SYMBOL_STR(hrtimer_start) },
	{ 0x9a99eae4, __VMLINUX_SYMBOL_STR(alloc_netdev_mqs) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0xe5d8be5d, __VMLINUX_SYMBOL_STR(lro_flush_all) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0x20e9b370, __VMLINUX_SYMBOL_STR(mlx4_bf_free) },
	{ 0x5611cdea, __VMLINUX_SYMBOL_STR(rdma_node_get_transport) },
	{ 0x90421fd0, __VMLINUX_SYMBOL_STR(ether_setup) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x459426f8, __VMLINUX_SYMBOL_STR(mlx4_qp_release_range) },
	{ 0xa5526619, __VMLINUX_SYMBOL_STR(rb_insert_color) },
	{ 0xc31fbe52, __VMLINUX_SYMBOL_STR(ib_query_qp) },
	{ 0x489c2ec4, __VMLINUX_SYMBOL_STR(ib_dereg_mr) },
	{ 0x701b1101, __VMLINUX_SYMBOL_STR(_raw_write_unlock_bh) },
	{ 0x50277348, __VMLINUX_SYMBOL_STR(_raw_read_lock_bh) },
	{ 0xcf2cea31, __VMLINUX_SYMBOL_STR(_raw_read_unlock_bh) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x1f54e93d, __VMLINUX_SYMBOL_STR(param_array_ops) },
	{ 0xc1955a3f, __VMLINUX_SYMBOL_STR(ib_sa_register_client) },
	{ 0x3490e35, __VMLINUX_SYMBOL_STR(hrtimer_init) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0x4ca9669f, __VMLINUX_SYMBOL_STR(scnprintf) },
	{ 0x722c4746, __VMLINUX_SYMBOL_STR(_raw_write_lock_bh) },
	{ 0x63c4d61f, __VMLINUX_SYMBOL_STR(__bitmap_weight) },
	{ 0xca9360b5, __VMLINUX_SYMBOL_STR(rb_next) },
	{ 0xad624001, __VMLINUX_SYMBOL_STR(skb_dequeue) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x20fae292, __VMLINUX_SYMBOL_STR(ib_create_cq) },
	{ 0x73c2554f, __VMLINUX_SYMBOL_STR(__iowrite64_copy) },
	{ 0xd4691c56, __VMLINUX_SYMBOL_STR(mlx4_bf_alloc) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0x5b514ef9, __VMLINUX_SYMBOL_STR(__netif_schedule) },
	{ 0xb0e602eb, __VMLINUX_SYMBOL_STR(memmove) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x377a8906, __VMLINUX_SYMBOL_STR(sysfs_create_file_ns) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0x9111492f, __VMLINUX_SYMBOL_STR(ib_unregister_client) },
	{ 0x942cd0de, __VMLINUX_SYMBOL_STR(__init_rwsem) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0x3988c455, __VMLINUX_SYMBOL_STR(ib_umem_release) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0xbc12afe, __VMLINUX_SYMBOL_STR(mlx4_buf_write_mtt) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mlx4_core,ib_core,ib_sa";


MODULE_INFO(srcversion, "8B574DE1D7F4E89E745F7DA");
