#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "synclinkmp.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xc504a7a6, __VMLINUX_SYMBOL_STR(single_release) },
	{ 0x64d48908, __VMLINUX_SYMBOL_STR(seq_read) },
	{ 0xf426c6c9, __VMLINUX_SYMBOL_STR(seq_lseek) },
	{ 0x60ee9172, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x1f54e93d, __VMLINUX_SYMBOL_STR(param_array_ops) },
	{ 0x59e2ce9f, __VMLINUX_SYMBOL_STR(pci_enable_device) },
	{ 0xd6b8e852, __VMLINUX_SYMBOL_STR(request_threaded_irq) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xaabf8fe0, __VMLINUX_SYMBOL_STR(tty_port_init) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0xee6e5317, __VMLINUX_SYMBOL_STR(tty_flip_buffer_push) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x409873e3, __VMLINUX_SYMBOL_STR(tty_termios_baud_rate) },
	{ 0x7e74f10a, __VMLINUX_SYMBOL_STR(tty_register_driver) },
	{ 0x2e544d26, __VMLINUX_SYMBOL_STR(tty_set_operations) },
	{ 0x67b27ec1, __VMLINUX_SYMBOL_STR(tty_std_termios) },
	{ 0xff347719, __VMLINUX_SYMBOL_STR(__tty_alloc_driver) },
	{ 0x194bac91, __VMLINUX_SYMBOL_STR(__pci_register_driver) },
	{ 0xc76c69e7, __VMLINUX_SYMBOL_STR(tty_port_install) },
	{ 0xdab577dc, __VMLINUX_SYMBOL_STR(tty_port_raise_dtr_rts) },
	{ 0x262d95cd, __VMLINUX_SYMBOL_STR(tty_lock) },
	{ 0x163b7e6b, __VMLINUX_SYMBOL_STR(tty_unlock) },
	{ 0xecf9d2ad, __VMLINUX_SYMBOL_STR(tty_port_carrier_raised) },
	{ 0xfe3b568c, __VMLINUX_SYMBOL_STR(tty_hung_up_p) },
	{ 0x8a66eb5e, __VMLINUX_SYMBOL_STR(tty_port_close_end) },
	{ 0x4413fc95, __VMLINUX_SYMBOL_STR(tty_ldisc_flush) },
	{ 0x4c8ebe43, __VMLINUX_SYMBOL_STR(tty_port_close_start) },
	{ 0xb5dcab5b, __VMLINUX_SYMBOL_STR(remove_wait_queue) },
	{ 0xb2fd5ceb, __VMLINUX_SYMBOL_STR(__put_user_4) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0x5860aad4, __VMLINUX_SYMBOL_STR(add_wait_queue) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0xffd5a395, __VMLINUX_SYMBOL_STR(default_wake_function) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x37befc70, __VMLINUX_SYMBOL_STR(jiffies_to_msecs) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x2120948f, __VMLINUX_SYMBOL_STR(single_open) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x42c8de35, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0x1fedf0f4, __VMLINUX_SYMBOL_STR(__request_region) },
	{ 0x1e98219, __VMLINUX_SYMBOL_STR(pci_unregister_driver) },
	{ 0x5ed08027, __VMLINUX_SYMBOL_STR(tty_port_destroy) },
	{ 0x6337079c, __VMLINUX_SYMBOL_STR(put_tty_driver) },
	{ 0x991c590f, __VMLINUX_SYMBOL_STR(tty_unregister_driver) },
	{ 0x7c61340c, __VMLINUX_SYMBOL_STR(__release_region) },
	{ 0x69a358a6, __VMLINUX_SYMBOL_STR(iomem_resource) },
	{ 0xf20dabd8, __VMLINUX_SYMBOL_STR(free_irq) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0xfe850db6, __VMLINUX_SYMBOL_STR(tty_insert_flip_string_flags) },
	{ 0xf85ef0b2, __VMLINUX_SYMBOL_STR(do_SAK) },
	{ 0xcc5005fe, __VMLINUX_SYMBOL_STR(msleep_interruptible) },
	{ 0xc697e06, __VMLINUX_SYMBOL_STR(tty_ldisc_deref) },
	{ 0x7f896418, __VMLINUX_SYMBOL_STR(tty_ldisc_ref) },
	{ 0x9259576d, __VMLINUX_SYMBOL_STR(tty_wakeup) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xd207ef5b, __VMLINUX_SYMBOL_STR(tty_hangup) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0xc996d097, __VMLINUX_SYMBOL_STR(del_timer) },
	{ 0x8834396c, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v000013C0d00000030sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "67ACCAE5DC5B9409003E97B");
