#include <linux/sdt.h>
extern void __dta_add_delayed_data_ref_1511(void);
extern void btrfs_delalloc_reserve_metadata(void);
extern void __dta_trace_btrfs_space_reservation_553(void);
extern void __dta_btrfs_delayed_item_release_metadata_1605(void);
extern void btrfs_start_ordered_extent(void);
extern void btrfs_destroy_workqueue(void);
extern void btrfs_orphan_release_metadata(void);
extern void btrfs_commit_transaction(void);
extern void btrfs_put_ordered_extent(void);
extern void btrfs_evict_inode(void);
extern void btrfs_get_extent(void);
extern void __dta_update_global_block_rsv_615(void);
extern void btrfs_alloc_workqueue(void);
extern void __dta_normal_work_helper_1262(void);
extern void __dta_btrfs_writepage_end_io_hook_873(void);
extern void __dta_alloc_extent_state_1146(void);
extern void __dta_setup_cluster_no_bitmap_1445(void);
extern void __dta___extent_writepage_1177(void);
extern void __dta_run_delayed_data_ref_630(void);
extern void __dta_alloc_reserved_file_extent_627(void);
extern void __dta_start_transaction_838(void);
extern void btrfs_remove_chunk(void);
extern void __dta_btrfs_delayed_inode_reserve_metadata_1613(void);
extern void __dta___btrfs_add_ordered_extent_1111(void);
extern void __dta_btrfs_delayed_inode_release_metadata_1603(void);
extern void btrfs_delalloc_release_metadata(void);
extern void __dta_alloc_reserved_tree_block_631(void);
extern void btrfs_qgroup_record_ref(void);
extern void __dta_run_ordered_work_1261(void);
extern void __dta_add_delayed_tree_ref_1512(void);
extern void free_extent_state(void);
extern void __dta_pin_down_extent_600(void);
extern void btrfs_sync_file(void);
extern void btrfs_cow_block(void);
extern void btrfs_queue_work(void);
extern void __dta___btrfs_alloc_workqueue_1263(void);
extern void __dta_btrfs_new_inode_972(void);
extern void btrfs_orphan_reserve_metadata(void);
extern void __dta_trace_btrfs_reserve_extent_cluster_566(void);
extern void btrfs_sync_fs(void);
extern void __dta_trace_btrfs_space_reservation_clone_0_694(void);
extern void __dta_run_one_delayed_ref_633(void);
extern void __dta___btrfs_alloc_chunk_1224(void);
extern void __dta_run_delayed_tree_ref_632(void);
extern void btrfs_free_tree_block(void);
extern void __dta_btrfs_qgroup_account_1767(void);
extern void __dta_btrfs_bitmap_cluster_1461(void);
extern void btrfs_remove_ordered_extent(void);
extern void __dta___btrfs_free_reserved_extent_601(void);
extern void __dta_add_delayed_ref_head_1508(void);
extern void btrfs_free_reserved_data_space(void);
extern void __dta_cleanup_transaction_833(void);
extern void __dta_btrfs_delayed_item_reserve_metadata_1597(void);
extern void __dta_btrfs_cleanup_transaction_767(void);
extern void __dta_find_free_extent_639(void);
extern void __dta_reserve_metadata_bytes_618(void);
extern void __dta_block_rsv_release_bytes_616(void);
extern void btrfs_find_space_cluster(void);
extern void btrfs_trans_release_metadata(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_btrfs_sync_fs",  "btrfs_sync_fs" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_sync_fs+0x0000000000000034 },
  {"__perf_btrfs_cow_block",  "btrfs_cow_block" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_cow_block+0x0000000000000131 },
  {"__perf_btrfs_space_reservation",  "trace_btrfs_space_reservation" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_trace_btrfs_space_reservation_553+0x000000000000002f },
  {"__perf_btrfs_reserve_extent_cluster",  "trace_btrfs_reserve_extent_cluster" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_trace_btrfs_reserve_extent_cluster_566+0x0000000000000028 },
  {"__perf_btrfs_reserved_extent_free",  "pin_down_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_pin_down_extent_600+0x00000000000000ad },
  {"__perf_btrfs_reserved_extent_free",  "btrfs_free_tree_block" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_free_tree_block+0x00000000000001dc },
  {"__perf_btrfs_reserved_extent_free",  "__btrfs_free_reserved_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___btrfs_free_reserved_extent_601+0x000000000000009c },
  {"__perf_btrfs_space_reservation",  "btrfs_orphan_reserve_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_orphan_reserve_metadata+0x00000000000000a2 },
  {"__perf_btrfs_space_reservation",  "btrfs_free_reserved_data_space" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_free_reserved_data_space+0x0000000000000081 },
  {"__perf_btrfs_space_reservation",  "update_global_block_rsv" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_update_global_block_rsv_615+0x00000000000000e2 },
  {"__perf_btrfs_space_reservation",  "update_global_block_rsv" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_update_global_block_rsv_615+0x000000000000013d },
  {"__perf_btrfs_space_reservation",  "block_rsv_release_bytes" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_block_rsv_release_bytes_616+0x0000000000000123 },
  {"__perf_btrfs_space_reservation",  "btrfs_delalloc_release_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_delalloc_release_metadata+0x00000000000000bc },
  {"__perf_btrfs_space_reservation",  "btrfs_orphan_release_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_orphan_release_metadata+0x0000000000000067 },
  {"__perf_btrfs_space_reservation",  "btrfs_trans_release_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_trans_release_metadata+0x0000000000000071 },
  {"__perf_btrfs_space_reservation",  "reserve_metadata_bytes" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_reserve_metadata_bytes_618+0x0000000000000311 },
  {"__perf_btrfs_space_reservation",  "reserve_metadata_bytes" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_reserve_metadata_bytes_618+0x000000000000041a },
  {"__perf_btrfs_space_reservation",  "btrfs_delalloc_reserve_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_delalloc_reserve_metadata+0x00000000000001df },
  {"__perf_btrfs_reserved_extent_alloc",  "alloc_reserved_file_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_alloc_reserved_file_extent_627+0x0000000000000222 },
  {"__perf_run_delayed_data_ref",  "run_delayed_data_ref" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_run_delayed_data_ref_630+0x0000000000000054 },
  {"__perf_btrfs_reserved_extent_alloc",  "alloc_reserved_tree_block" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_alloc_reserved_tree_block_631+0x000000000000020d },
  {"__perf_run_delayed_tree_ref",  "run_delayed_tree_ref" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_run_delayed_tree_ref_632+0x0000000000000059 },
  {"__perf_run_delayed_ref_head",  "run_one_delayed_ref" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_run_one_delayed_ref_633+0x0000000000000061 },
  {"__perf_find_free_extent",  "find_free_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_find_free_extent_639+0x00000000000000b9 },
  {"__perf_btrfs_reserve_extent",  "find_free_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_find_free_extent_639+0x000000000000079b },
  {"__perf_btrfs_space_reservation",  "trace_btrfs_space_reservation" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_trace_btrfs_space_reservation_clone_0_694+0x0000000000000038 },
  {"__perf_btrfs_transaction_commit",  "btrfs_cleanup_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_cleanup_transaction_767+0x0000000000000140 },
  {"__perf_btrfs_transaction_commit",  "cleanup_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_cleanup_transaction_833+0x0000000000000120 },
  {"__perf_btrfs_transaction_commit",  "btrfs_commit_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_commit_transaction+0x0000000000000aad },
  {"__perf_btrfs_space_reservation",  "start_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_start_transaction_838+0x0000000000000418 },
  {"__perf_btrfs_writepage_end_io_hook",  "btrfs_writepage_end_io_hook" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_writepage_end_io_hook_873+0x000000000000004b },
  {"__perf_btrfs_get_extent",  "btrfs_get_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_get_extent+0x0000000000000342 },
  {"__perf_btrfs_inode_new",  "btrfs_new_inode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_new_inode_972+0x000000000000036c },
  {"__perf_btrfs_inode_request",  "btrfs_new_inode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_new_inode_972+0x0000000000000497 },
  {"__perf_btrfs_inode_evict",  "btrfs_evict_inode" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_evict_inode+0x0000000000000033 },
  {"__perf_btrfs_sync_file",  "btrfs_sync_file" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_sync_file+0x000000000000005d },
  {"__perf_btrfs_ordered_extent_start",  "btrfs_start_ordered_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_start_ordered_extent+0x0000000000000035 },
  {"__perf_btrfs_ordered_extent_put",  "btrfs_put_ordered_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_put_ordered_extent+0x000000000000001f },
  {"__perf_btrfs_ordered_extent_add",  "__btrfs_add_ordered_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___btrfs_add_ordered_extent_1111+0x000000000000016a },
  {"__perf_btrfs_ordered_extent_remove",  "btrfs_remove_ordered_extent" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_remove_ordered_extent+0x00000000000000cc },
  {"__perf_alloc_extent_state",  "alloc_extent_state" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_alloc_extent_state_1146+0x000000000000007d },
  {"__perf_free_extent_state",  "free_extent_state" /* .text */, 0 /* sdt_args string */, (uintptr_t)free_extent_state+0x0000000000000050 },
  {"__perf___extent_writepage",  "__extent_writepage" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___extent_writepage_1177+0x0000000000000072 },
  {"__perf_btrfs_chunk_alloc",  "__btrfs_alloc_chunk" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___btrfs_alloc_chunk_1224+0x00000000000005b2 },
  {"__perf_btrfs_chunk_free",  "btrfs_remove_chunk" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_remove_chunk+0x00000000000001d5 },
  {"__perf_btrfs_work_queued",  "btrfs_queue_work" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_queue_work+0x0000000000000086 },
  {"__perf_btrfs_ordered_sched",  "run_ordered_work" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_run_ordered_work_1261+0x000000000000006c },
  {"__perf_btrfs_all_work_done",  "run_ordered_work" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_run_ordered_work_1261+0x00000000000000b9 },
  {"__perf_btrfs_work_sched",  "normal_work_helper" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_normal_work_helper_1262+0x000000000000002b },
  {"__perf_btrfs_all_work_done",  "normal_work_helper" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_normal_work_helper_1262+0x000000000000008e },
  {"__perf_btrfs_workqueue_destroy",  "btrfs_destroy_workqueue" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_destroy_workqueue+0x000000000000002f },
  {"__perf_btrfs_workqueue_destroy",  "btrfs_destroy_workqueue" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_destroy_workqueue+0x0000000000000051 },
  {"__perf_btrfs_workqueue_alloc",  "__btrfs_alloc_workqueue" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___btrfs_alloc_workqueue_1263+0x00000000000000d8 },
  {"__perf_btrfs_workqueue_destroy",  "btrfs_alloc_workqueue" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_alloc_workqueue+0x00000000000000b9 },
  {"__perf_btrfs_setup_cluster",  "setup_cluster_no_bitmap" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_setup_cluster_no_bitmap_1445+0x00000000000001ab },
  {"__perf_btrfs_setup_cluster",  "btrfs_bitmap_cluster" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_bitmap_cluster_1461+0x000000000000017c },
  {"__perf_btrfs_find_cluster",  "btrfs_find_space_cluster" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_find_space_cluster+0x000000000000010a },
  {"__perf_btrfs_failed_cluster_setup",  "btrfs_find_space_cluster" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_find_space_cluster+0x000000000000027b },
  {"__perf_add_delayed_ref_head",  "add_delayed_ref_head" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_add_delayed_ref_head_1508+0x00000000000000d5 },
  {"__perf_add_delayed_data_ref",  "add_delayed_data_ref" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_add_delayed_data_ref_1511+0x00000000000000be },
  {"__perf_add_delayed_tree_ref",  "add_delayed_tree_ref" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_add_delayed_tree_ref_1512+0x00000000000000b4 },
  {"__perf_btrfs_space_reservation",  "btrfs_delayed_item_reserve_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_delayed_item_reserve_metadata_1597+0x00000000000000a1 },
  {"__perf_btrfs_space_reservation",  "btrfs_delayed_inode_release_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_delayed_inode_release_metadata_1603+0x0000000000000071 },
  {"__perf_btrfs_space_reservation",  "btrfs_delayed_item_release_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_delayed_item_release_metadata_1605+0x0000000000000072 },
  {"__perf_btrfs_space_reservation",  "btrfs_delayed_inode_reserve_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_delayed_inode_reserve_metadata_1613+0x00000000000000d3 },
  {"__perf_btrfs_space_reservation",  "btrfs_delayed_inode_reserve_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_delayed_inode_reserve_metadata_1613+0x0000000000000175 },
  {"__perf_btrfs_space_reservation",  "btrfs_delayed_inode_reserve_metadata" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_delayed_inode_reserve_metadata_1613+0x00000000000001c9 },
  {"__perf_btrfs_qgroup_account",  "btrfs_qgroup_account" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_btrfs_qgroup_account_1767+0x000000000000006e },
  {"__perf_btrfs_qgroup_record_ref",  "btrfs_qgroup_record_ref" /* .text */, 0 /* sdt_args string */, (uintptr_t)btrfs_qgroup_record_ref+0x00000000000000ec },
};

#define _sdt_probec	69
