#include <linux/sdt.h>
extern void __dta_journal_write_superblock_205(void);
extern void log_do_checkpoint(void);
extern void cleanup_journal_tail(void);
extern void journal_commit_transaction(void);
extern void __journal_drop_transaction(void);
extern void __dta_trace_jbd_do_submit_data_125(void);
extern void __dta_journal_submit_data_buffers_131(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_jbd_do_submit_data",  "trace_jbd_do_submit_data" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_trace_jbd_do_submit_data_125+0x000000000000001a },
  {"__perf_jbd_do_submit_data",  "journal_submit_data_buffers" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_journal_submit_data_buffers_131+0x00000000000001fe },
  {"__perf_jbd_start_commit",  "journal_commit_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)journal_commit_transaction+0x0000000000000060 },
  {"__perf_jbd_commit_locking",  "journal_commit_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)journal_commit_transaction+0x0000000000000098 },
  {"__perf_jbd_commit_flushing",  "journal_commit_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)journal_commit_transaction+0x0000000000000245 },
  {"__perf_jbd_commit_logging",  "journal_commit_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)journal_commit_transaction+0x00000000000003cd },
  {"__perf_jbd_end_commit",  "journal_commit_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)journal_commit_transaction+0x0000000000000cf8 },
  {"__perf_jbd_drop_transaction",  "__journal_drop_transaction" /* .text */, 0 /* sdt_args string */, (uintptr_t)__journal_drop_transaction+0x00000000000000ea },
  {"__perf_jbd_cleanup_journal_tail",  "cleanup_journal_tail" /* .text */, 0 /* sdt_args string */, (uintptr_t)cleanup_journal_tail+0x00000000000000f9 },
  {"__perf_jbd_checkpoint",  "log_do_checkpoint" /* .text */, 0 /* sdt_args string */, (uintptr_t)log_do_checkpoint+0x0000000000000028 },
  {"__perf_journal_write_superblock",  "journal_write_superblock" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_journal_write_superblock_205+0x0000000000000038 },
};

#define _sdt_probec	11
