#include <linux/sdt.h>
extern void __dta_nfs_async_unlink_done_882(void);
extern void __dta_nfs_file_fsync_493(void);
extern void nfs_wb_all(void);
extern void __dta_nfs_initiate_write_909(void);
extern void nfs_getattr(void);
extern void nfs_lookup(void);
extern void nfs_create(void);
extern void __dta_nfs_lookup_revalidate_417(void);
extern void __dta_nfs_readpage_done_860(void);
extern void nfs_setattr(void);
extern void nfs_link(void);
extern void __dta_nfs_writeback_done_914(void);
extern void __dta_nfs_refresh_inode_locked_561(void);
extern void nfs_symlink(void);
extern void __dta_nfs_initiate_read_858(void);
extern void nfs_mkdir(void);
extern void nfs_rename(void);
extern void __dta_nfs_do_access_439(void);
extern void __dta_nfs_async_rename_done_881(void);
extern void __dta___nfs_revalidate_mapping_563(void);
extern void nfs_atomic_open(void);
extern void nfs_mknod(void);
extern void __dta_nfs_safe_remove_440(void);
extern void nfs_wb_page(void);
extern void nfs_unlink(void);
extern void __nfs_revalidate_inode(void);
extern void nfs_rmdir(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_nfs_lookup_revalidate_enter",  "nfs_lookup_revalidate" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_lookup_revalidate_417+0x00000000000003d0 },
  {"__perf_nfs_lookup_revalidate_exit",  "nfs_lookup_revalidate" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_lookup_revalidate_417+0x0000000000000414 },
  {"__perf_nfs_access_enter",  "nfs_do_access" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_do_access_439+0x000000000000001f },
  {"__perf_nfs_access_exit",  "nfs_do_access" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_do_access_439+0x0000000000000091 },
  {"__perf_nfs_symlink_enter",  "nfs_symlink" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_symlink+0x00000000000000fe },
  {"__perf_nfs_symlink_exit",  "nfs_symlink" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_symlink+0x0000000000000141 },
  {"__perf_nfs_remove_enter",  "nfs_safe_remove" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_safe_remove_440+0x0000000000000066 },
  {"__perf_nfs_remove_exit",  "nfs_safe_remove" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_safe_remove_440+0x00000000000000d5 },
  {"__perf_nfs_unlink_enter",  "nfs_unlink" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_unlink+0x0000000000000029 },
  {"__perf_nfs_unlink_exit",  "nfs_unlink" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_unlink+0x0000000000000073 },
  {"__perf_nfs_rmdir_enter",  "nfs_rmdir" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_rmdir+0x0000000000000029 },
  {"__perf_nfs_rmdir_exit",  "nfs_rmdir" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_rmdir+0x0000000000000085 },
  {"__perf_nfs_mkdir_enter",  "nfs_mkdir" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_mkdir+0x0000000000000042 },
  {"__perf_nfs_mkdir_exit",  "nfs_mkdir" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_mkdir+0x000000000000007c },
  {"__perf_nfs_mknod_enter",  "nfs_mknod" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_mknod+0x000000000000003f },
  {"__perf_nfs_mknod_exit",  "nfs_mknod" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_mknod+0x000000000000007c },
  {"__perf_nfs_create_enter",  "nfs_create" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_create+0x000000000000006e },
  {"__perf_nfs_create_exit",  "nfs_create" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_create+0x00000000000000b3 },
  {"__perf_nfs_rename_enter",  "nfs_rename" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_rename+0x0000000000000049 },
  {"__perf_nfs_rename_exit",  "nfs_rename" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_rename+0x00000000000001aa },
  {"__perf_nfs_link_enter",  "nfs_link" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_link+0x0000000000000036 },
  {"__perf_nfs_link_exit",  "nfs_link" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_link+0x00000000000000a3 },
  {"__perf_nfs_lookup_enter",  "nfs_lookup" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_lookup+0x0000000000000114 },
  {"__perf_nfs_lookup_exit",  "nfs_lookup" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_lookup+0x00000000000001d0 },
  {"__perf_nfs_atomic_open_enter",  "nfs_atomic_open" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_atomic_open+0x0000000000000145 },
  {"__perf_nfs_atomic_open_exit",  "nfs_atomic_open" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_atomic_open+0x00000000000001fa },
  {"__perf_nfs_atomic_open_exit",  "nfs_atomic_open" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_atomic_open+0x000000000000039f },
  {"__perf_nfs_fsync_enter",  "nfs_file_fsync" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_file_fsync_493+0x0000000000000029 },
  {"__perf_nfs_fsync_exit",  "nfs_file_fsync" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_file_fsync_493+0x000000000000009b },
  {"__perf_nfs_refresh_inode_enter",  "nfs_refresh_inode_locked" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_refresh_inode_locked_561+0x0000000000000018 },
  {"__perf_nfs_refresh_inode_exit",  "nfs_refresh_inode_locked" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_refresh_inode_locked_561+0x0000000000000068 },
  {"__perf_nfs_revalidate_inode_enter",  "__nfs_revalidate_inode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__nfs_revalidate_inode+0x000000000000003e },
  {"__perf_nfs_revalidate_inode_exit",  "__nfs_revalidate_inode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__nfs_revalidate_inode+0x0000000000000079 },
  {"__perf_nfs_invalidate_mapping_enter",  "__nfs_revalidate_mapping" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___nfs_revalidate_mapping_563+0x000000000000012e },
  {"__perf_nfs_invalidate_mapping_exit",  "__nfs_revalidate_mapping" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___nfs_revalidate_mapping_563+0x0000000000000171 },
  {"__perf_nfs_getattr_enter",  "nfs_getattr" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_getattr+0x0000000000000031 },
  {"__perf_nfs_getattr_exit",  "nfs_getattr" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_getattr+0x000000000000009b },
  {"__perf_nfs_setattr_enter",  "nfs_setattr" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_setattr+0x00000000000000b3 },
  {"__perf_nfs_setattr_exit",  "nfs_setattr" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_setattr+0x000000000000012c },
  {"?__io_start",  "nfs_initiate_read" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_initiate_read_858+0x0000000000000048 },
  {"__io_start",  "nfs_initiate_read" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_initiate_read_858+0x00000000000000ba },
  {"?__io_done",  "nfs_readpage_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_readpage_done_860+0x0000000000000047 },
  {"__io_done",  "nfs_readpage_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_readpage_done_860+0x000000000000013b },
  {"__perf_nfs_sillyrename_rename",  "nfs_async_rename_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_async_rename_done_881+0x0000000000000065 },
  {"__perf_nfs_sillyrename_unlink",  "nfs_async_unlink_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_async_unlink_done_882+0x000000000000003b },
  {"?__io_start",  "nfs_initiate_write" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_initiate_write_909+0x0000000000000059 },
  {"__io_start",  "nfs_initiate_write" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_initiate_write_909+0x0000000000000154 },
  {"?__io_done",  "nfs_writeback_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_writeback_done_914+0x0000000000000047 },
  {"__io_done",  "nfs_writeback_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs_writeback_done_914+0x0000000000000162 },
  {"__perf_nfs_writeback_page_enter",  "nfs_wb_page" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_wb_page+0x000000000000005e },
  {"__perf_nfs_writeback_page_exit",  "nfs_wb_page" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_wb_page+0x00000000000000ab },
  {"__perf_nfs_writeback_inode_enter",  "nfs_wb_all" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_wb_all+0x0000000000000015 },
  {"__perf_nfs_writeback_inode_exit",  "nfs_wb_all" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_wb_all+0x0000000000000038 },
};

#define _sdt_probec	53
