#include <linux/sdt.h>
extern void __dta_nl802154_new_interface_205(void);
extern void __dta_nl802154_set_backoff_exponent_190(void);
extern void __dta_nl802154_set_max_frame_retries_188(void);
extern void __dta_nl802154_set_lbt_mode_187(void);
extern void __dta_nl802154_set_cca_mode_206(void);
extern void __dta_nl802154_set_channel_193(void);
extern void __dta_nl802154_del_interface_204(void);
extern void __dta_nl802154_set_short_addr_191(void);
extern void __dta_nl802154_set_pan_id_192(void);
extern void __dta_nl802154_set_max_csma_backoffs_189(void);
extern void __dta_trace_802154_rdev_return_int_186(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_802154_rdev_return_int",  "trace_802154_rdev_return_int" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_trace_802154_rdev_return_int_186+0x000000000000001c },
  {"__perf_802154_rdev_set_lbt_mode",  "nl802154_set_lbt_mode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_lbt_mode_187+0x0000000000000085 },
  {"__perf_802154_rdev_set_max_frame_retries",  "nl802154_set_max_frame_retries" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_max_frame_retries_188+0x0000000000000089 },
  {"__perf_802154_rdev_set_csma_backoffs",  "nl802154_set_max_csma_backoffs" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_max_csma_backoffs_189+0x0000000000000088 },
  {"__perf_802154_rdev_set_backoff_exponent",  "nl802154_set_backoff_exponent" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_backoff_exponent_190+0x00000000000000a9 },
  {"__perf_802154_rdev_set_short_addr",  "nl802154_set_short_addr" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_short_addr_191+0x0000000000000089 },
  {"__perf_802154_rdev_set_pan_id",  "nl802154_set_pan_id" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_pan_id_192+0x0000000000000089 },
  {"__perf_802154_rdev_set_channel",  "nl802154_set_channel" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_channel_193+0x0000000000000082 },
  {"__perf_802154_rdev_del_virtual_intf",  "nl802154_del_interface" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_del_interface_204+0x000000000000004e },
  {"__perf_802154_rdev_return_int",  "nl802154_del_interface" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_del_interface_204+0x000000000000006c },
  {"__perf_802154_rdev_add_virtual_intf",  "nl802154_new_interface" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_new_interface_205+0x00000000000000b9 },
  {"__perf_802154_rdev_return_int",  "nl802154_new_interface" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_new_interface_205+0x00000000000000e3 },
  {"__perf_802154_rdev_set_cca_mode",  "nl802154_set_cca_mode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_cca_mode_206+0x000000000000006e },
  {"__perf_802154_rdev_return_int",  "nl802154_set_cca_mode" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nl802154_set_cca_mode_206+0x000000000000008d },
};

#define _sdt_probec	14
