#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "nfsv2.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x6867071c, __VMLINUX_SYMBOL_STR(nfs_unlink) },
	{ 0x1c02ed1f, __VMLINUX_SYMBOL_STR(nfs_symlink) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xaf5bf6ef, __VMLINUX_SYMBOL_STR(nfs_debug) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0x984a3d55, __VMLINUX_SYMBOL_STR(nfs_refresh_inode) },
	{ 0x5aa24f17, __VMLINUX_SYMBOL_STR(nfs_close_context) },
	{ 0xe23b014f, __VMLINUX_SYMBOL_STR(nfs_free_client) },
	{ 0xe5cddab8, __VMLINUX_SYMBOL_STR(nfs_try_mount) },
	{ 0xe2f3e746, __VMLINUX_SYMBOL_STR(nfs_permission) },
	{ 0x4484d7e4, __VMLINUX_SYMBOL_STR(nfs_link) },
	{ 0x5ef26e06, __VMLINUX_SYMBOL_STR(xdr_inline_pages) },
	{ 0x5c9933a2, __VMLINUX_SYMBOL_STR(init_user_ns) },
	{ 0xed0e4a09, __VMLINUX_SYMBOL_STR(nfs_instantiate) },
	{ 0xfb991ac5, __VMLINUX_SYMBOL_STR(nfs_sops) },
	{ 0xeff25cb5, __VMLINUX_SYMBOL_STR(nfs_setattr_update_inode) },
	{ 0x6c1734c0, __VMLINUX_SYMBOL_STR(unregister_nfs_version) },
	{ 0xa545392a, __VMLINUX_SYMBOL_STR(nfs_rmdir) },
	{ 0x659de3a7, __VMLINUX_SYMBOL_STR(xdr_reserve_space) },
	{ 0xfb7ee006, __VMLINUX_SYMBOL_STR(nfs_alloc_fattr) },
	{ 0x9e9e445d, __VMLINUX_SYMBOL_STR(make_kgid) },
	{ 0xb606e716, __VMLINUX_SYMBOL_STR(nfs_fattr_init) },
	{ 0xfcf16b9, __VMLINUX_SYMBOL_STR(xdr_terminate_string) },
	{ 0x56346541, __VMLINUX_SYMBOL_STR(nfs_setattr) },
	{ 0xabdad622, __VMLINUX_SYMBOL_STR(nfs_fs_type) },
	{ 0x9b49fe6b, __VMLINUX_SYMBOL_STR(from_kuid) },
	{ 0xf53382c0, __VMLINUX_SYMBOL_STR(rpc_call_sync) },
	{ 0x71460801, __VMLINUX_SYMBOL_STR(rpc_call_start) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x5896e69, __VMLINUX_SYMBOL_STR(register_nfs_version) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0xf5eb4710, __VMLINUX_SYMBOL_STR(from_kgid) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x54170aa5, __VMLINUX_SYMBOL_STR(nfs_getattr) },
	{ 0x8e381234, __VMLINUX_SYMBOL_STR(nfs_invalidate_atime) },
	{ 0x26884ff7, __VMLINUX_SYMBOL_STR(nfs_alloc_fhandle) },
	{ 0xf43a3836, __VMLINUX_SYMBOL_STR(nfs_lookup) },
	{ 0xb5ffc550, __VMLINUX_SYMBOL_STR(nfs_rename) },
	{ 0xc7a02292, __VMLINUX_SYMBOL_STR(nfs_file_operations) },
	{ 0x1187d2bf, __VMLINUX_SYMBOL_STR(make_kuid) },
	{ 0x17c70df8, __VMLINUX_SYMBOL_STR(nfs_mkdir) },
	{ 0x2b50cd9b, __VMLINUX_SYMBOL_STR(nfs_create) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x2db3a12b, __VMLINUX_SYMBOL_STR(xdr_read_pages) },
	{ 0xe5919cb1, __VMLINUX_SYMBOL_STR(xdr_encode_opaque) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xde672ddd, __VMLINUX_SYMBOL_STR(nfs_init_client) },
	{ 0xbd5c55c5, __VMLINUX_SYMBOL_STR(nfs_create_server) },
	{ 0xb498a16a, __VMLINUX_SYMBOL_STR(nfs_mknod) },
	{ 0x4ed5583c, __VMLINUX_SYMBOL_STR(nfs_submount) },
	{ 0x15bfbf60, __VMLINUX_SYMBOL_STR(xdr_inline_decode) },
	{ 0x7d1d3712, __VMLINUX_SYMBOL_STR(nfs_wb_all) },
	{ 0x16f9e79c, __VMLINUX_SYMBOL_STR(xdr_write_pages) },
	{ 0x3cc1eb26, __VMLINUX_SYMBOL_STR(nfs_dentry_operations) },
	{ 0x250e584, __VMLINUX_SYMBOL_STR(nfs_alloc_client) },
	{ 0xef513bba, __VMLINUX_SYMBOL_STR(nfs_writeback_update_inode) },
	{ 0xfd9b1517, __VMLINUX_SYMBOL_STR(nlmclnt_proc) },
	{ 0xb454eb96, __VMLINUX_SYMBOL_STR(nfs_clone_server) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nfs,sunrpc,lockd";


MODULE_INFO(srcversion, "3E45F2C4A41A7E33455458F");
