#include <linux/sdt.h>
extern void __dta_nfs4_proc_mkdir_423(void);
extern void __dta_nfs4_lock_expired_447(void);
extern void __dta_nfs4_proc_setlk_445(void);
extern void nfs4_proc_setclientid_confirm(void);
extern void __dta_nfs4_close_done_336(void);
extern void __dta__nfs4_proc_destroy_clientid_262(void);
extern void __dta_nfs4_xattr_set_nfs4_acl_380(void);
extern void __dta_nfs4_proc_getlk_clone_0_410(void);
extern void __dta_nfs4_proc_unlck_418(void);
extern void nfs4_proc_layoutcommit(void);
extern void __dta_nfs4_do_fsinfo_392(void);
extern void __dta__nfs4_proc_create_session_259(void);
extern void __dta_nfs4_proc_remove_397(void);
extern void __dta_nfs41_sequence_call_done_294(void);
extern void __dta_nfs4_lookup_root_383(void);
extern void nfs4_proc_fs_locations(void);
extern void __dta_nfs4_file_fsync_896(void);
extern void pnfs_ld_read_done(void);
extern void __dta_nfs4_write_done_cb_176(void);
extern void __dta_nfs4_do_setattr_388(void);
extern void __dta_nfs4_renew_done_237(void);
extern void __dta_nfs4_proc_lookup_common_407(void);
extern void nfs4_proc_delegreturn(void);
extern void nfs_map_uid_to_name(void);
extern void nfs41_setup_sequence(void);
extern void __dta_nfs41_check_expired_locks_374(void);
extern void nfs41_sequence_done(void);
extern void pnfs_ld_write_done(void);
extern void nfs_map_group_to_gid(void);
extern void __dta_nfs4_set_security_label_377(void);
extern void __dta_nfs4_lock_reclaim_449(void);
extern void nfs4_callback_sequence(void);
extern void __dta_nfs4_reclaim_complete_done_297(void);
extern void nfs4_proc_layoutget(void);
extern void nfs_map_gid_to_group(void);
extern void nfs4_proc_bind_conn_to_session(void);
extern void __dta_nfs4_xattr_get_nfs4_label_379(void);
extern void nfs4_proc_secinfo(void);
extern void __dta_nfs4_proc_symlink_424(void);
extern void __dta_nfs4_do_open_reclaim_431(void);
extern void nfs4_proc_layoutreturn(void);
extern void __dta_nfs4_proc_get_acl_381(void);
extern void __dta_nfs4_do_open_expired_427(void);
extern void nfs4_proc_setclientid(void);
extern void __dta_nfs4_delegreturn_done_317(void);
extern void nfs4_proc_destroy_session(void);
extern void __dta_nfs4_proc_access_399(void);
extern void __dta_nfs4_commit_done_cb_172(void);
extern void __dta__nfs4_proc_exchange_id_451(void);
extern void nfs_map_name_to_uid(void);
extern void nfs4_callback_recall(void);
extern void nfs_inode_set_delegation(void);
extern void __dta_nfs4_proc_getattr_400(void);
extern void nfs_inode_reclaim_delegation(void);
extern void __dta_nfs4_proc_readlink_398(void);
extern void __dta_nfs41_check_delegation_stateid_375(void);
extern void __dta_nfs4_do_open_435(void);
extern void __dta_nfs4_proc_mknod_422(void);
extern void __dta_nfs41_check_open_stateid_376(void);
extern void __dta_nfs4_proc_readdir_395(void);
extern void __dta_nfs4_read_done_cb_170(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_nfs4_renew_async",  "nfs4_renew_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_renew_done_237+0x0000000000000038 },
  {"__perf_nfs4_commit",  "nfs4_commit_done_cb" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_commit_done_cb_172+0x000000000000003b },
  {"__perf_nfs4_write",  "nfs4_write_done_cb" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_write_done_cb_176+0x0000000000000037 },
  {"__perf_nfs4_read",  "nfs4_read_done_cb" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_read_done_cb_170+0x0000000000000042 },
  {"__perf_nfs4_layoutget",  "nfs4_proc_layoutget" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_layoutget+0x0000000000000157 },
  {"__perf_nfs4_destroy_session",  "nfs4_proc_destroy_session" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_destroy_session+0x000000000000008b },
  {"__perf_nfs4_create_session",  "_nfs4_proc_create_session" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta__nfs4_proc_create_session_259+0x000000000000013d },
  {"__perf_nfs4_destroy_clientid",  "_nfs4_proc_destroy_clientid" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta__nfs4_proc_destroy_clientid_262+0x0000000000000049 },
  {"__perf_nfs4_bind_conn_to_session",  "nfs4_proc_bind_conn_to_session" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_bind_conn_to_session+0x00000000000000b1 },
  {"__perf_nfs4_setclientid_confirm",  "nfs4_proc_setclientid_confirm" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_setclientid_confirm+0x0000000000000057 },
  {"__perf_nfs4_setclientid",  "nfs4_proc_setclientid" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_setclientid+0x00000000000001cd },
  {"__perf_nfs4_setup_sequence",  "nfs41_setup_sequence" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs41_setup_sequence+0x00000000000000e7 },
  {"__perf_nfs4_sequence_done",  "nfs41_sequence_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs41_sequence_done+0x000000000000006a },
  {"__perf_nfs4_sequence",  "nfs41_sequence_call_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs41_sequence_call_done_294+0x000000000000005d },
  {"__perf_nfs4_reclaim_complete",  "nfs4_reclaim_complete_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_reclaim_complete_done_297+0x000000000000006d },
  {"__perf_nfs4_delegreturn_exit",  "nfs4_delegreturn_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_delegreturn_done_317+0x0000000000000061 },
  {"__perf_nfs4_close",  "nfs4_close_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_close_done_336+0x0000000000000096 },
  {"__perf_nfs4_layoutreturn",  "nfs4_proc_layoutreturn" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_layoutreturn+0x0000000000000101 },
  {"__perf_nfs4_layoutcommit",  "nfs4_proc_layoutcommit" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_layoutcommit+0x0000000000000126 },
  {"__perf_nfs4_test_lock_stateid",  "nfs41_check_expired_locks" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs41_check_expired_locks_374+0x000000000000009f },
  {"__perf_nfs4_test_delegation_stateid",  "nfs41_check_delegation_stateid" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs41_check_delegation_stateid_375+0x000000000000008e },
  {"__perf_nfs4_test_open_stateid",  "nfs41_check_open_stateid" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs41_check_open_stateid_376+0x000000000000006f },
  {"__perf_nfs4_set_security_label",  "nfs4_set_security_label" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_set_security_label_377+0x00000000000000fc },
  {"__perf_nfs4_get_security_label",  "nfs4_xattr_get_nfs4_label" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_xattr_get_nfs4_label_379+0x000000000000008e },
  {"__perf_nfs4_set_acl",  "nfs4_xattr_set_nfs4_acl" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_xattr_set_nfs4_acl_380+0x000000000000006e },
  {"__perf_nfs4_get_acl",  "nfs4_proc_get_acl" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_get_acl_381+0x00000000000000f1 },
  {"__perf_nfs4_lookup_root",  "nfs4_lookup_root" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_lookup_root_383+0x0000000000000065 },
  {"__perf_nfs4_setattr",  "nfs4_do_setattr" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_do_setattr_388+0x000000000000009c },
  {"__perf_nfs4_fsinfo",  "nfs4_do_fsinfo" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_do_fsinfo_392+0x0000000000000074 },
  {"__perf_nfs4_readdir",  "nfs4_proc_readdir" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_readdir_395+0x000000000000007a },
  {"__perf_nfs4_remove",  "nfs4_proc_remove" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_remove_397+0x0000000000000056 },
  {"__perf_nfs4_readlink",  "nfs4_proc_readlink" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_readlink_398+0x0000000000000069 },
  {"__perf_nfs4_access",  "nfs4_proc_access" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_access_399+0x0000000000000063 },
  {"__perf_nfs4_getattr",  "nfs4_proc_getattr" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_getattr_400+0x0000000000000068 },
  {"__perf_nfs4_secinfo",  "nfs4_proc_secinfo" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_secinfo+0x000000000000006d },
  {"__perf_nfs4_get_fs_locations",  "nfs4_proc_fs_locations" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_fs_locations+0x0000000000000071 },
  {"__perf_nfs4_lookup",  "nfs4_proc_lookup_common" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_lookup_common_407+0x0000000000000074 },
  {"__perf_nfs4_get_lock",  "nfs4_proc_getlk" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_getlk_clone_0_410+0x0000000000000060 },
  {"__perf_nfs4_unlock",  "nfs4_proc_unlck" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_unlck_418+0x00000000000000b1 },
  {"__perf_nfs4_delegreturn",  "nfs4_proc_delegreturn" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_proc_delegreturn+0x0000000000000069 },
  {"__perf_nfs4_mknod",  "nfs4_proc_mknod" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_mknod_422+0x00000000000000ee },
  {"__perf_nfs4_mkdir",  "nfs4_proc_mkdir" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_mkdir_423+0x00000000000000ce },
  {"__perf_nfs4_symlink",  "nfs4_proc_symlink" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_symlink_424+0x000000000000007e },
  {"__perf_nfs4_open_expired",  "nfs4_do_open_expired" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_do_open_expired_427+0x0000000000000091 },
  {"__perf_nfs4_open_reclaim",  "nfs4_do_open_reclaim" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_do_open_reclaim_431+0x00000000000000a3 },
  {"__perf_nfs4_open_file",  "nfs4_do_open" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_do_open_435+0x0000000000000093 },
  {"__perf_nfs4_set_lock",  "nfs4_proc_setlk" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_proc_setlk_445+0x0000000000000065 },
  {"__perf_nfs4_lock_expired",  "nfs4_lock_expired" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_lock_expired_447+0x00000000000000a0 },
  {"__perf_nfs4_lock_reclaim",  "nfs4_lock_reclaim" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_lock_reclaim_449+0x000000000000007f },
  {"__perf_nfs4_exchange_id",  "_nfs4_proc_exchange_id" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta__nfs4_proc_exchange_id_451+0x00000000000001c7 },
  {"__perf_nfs_fsync_enter",  "nfs4_file_fsync" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_file_fsync_896+0x000000000000002a },
  {"__perf_nfs_fsync_exit",  "nfs4_file_fsync" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_nfs4_file_fsync_896+0x00000000000000e4 },
  {"__perf_nfs4_set_delegation",  "nfs_inode_set_delegation" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_inode_set_delegation+0x00000000000001fa },
  {"__perf_nfs4_reclaim_delegation",  "nfs_inode_reclaim_delegation" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_inode_reclaim_delegation+0x00000000000000ae },
  {"__perf_nfs4_map_gid_to_group",  "nfs_map_gid_to_group" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_map_gid_to_group+0x0000000000000078 },
  {"__perf_nfs4_map_uid_to_name",  "nfs_map_uid_to_name" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_map_uid_to_name+0x0000000000000078 },
  {"__perf_nfs4_map_group_to_gid",  "nfs_map_group_to_gid" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_map_group_to_gid+0x0000000000000097 },
  {"__perf_nfs4_map_name_to_uid",  "nfs_map_name_to_uid" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs_map_name_to_uid+0x0000000000000097 },
  {"__perf_nfs4_cb_sequence",  "nfs4_callback_sequence" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_callback_sequence+0x00000000000000b1 },
  {"__perf_nfs4_recall_delegation",  "nfs4_callback_recall" /* .text */, 0 /* sdt_args string */, (uintptr_t)nfs4_callback_recall+0x0000000000000089 },
  {"__perf_nfs4_pnfs_read",  "pnfs_ld_read_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)pnfs_ld_read_done+0x000000000000001c },
  {"__perf_nfs4_pnfs_write",  "pnfs_ld_write_done" /* .text */, 0 /* sdt_args string */, (uintptr_t)pnfs_ld_write_done+0x000000000000001c },
};

#define _sdt_probec	62
