#include <linux/sdt.h>
extern void __dta_igmp6_send_824(void);
extern void __dta_rawv6_send_hdrinc_722(void);
extern void ip6_input(void);
extern void __dta___ip6_flush_pending_frames_245(void);
extern void __dta_tcp_v6_send_response_913(void);
extern void ip6_forward(void);
extern void __dta_tcp_v6_rcv_916(void);
extern void ip6_output(void);
extern void __dta_mld_sendpack_820(void);
extern void __dta_ip6_input_finish_271(void);
extern void __dta_ip6_finish_output2_250(void);
extern void ipv6_rcv(void);
extern void ip6_xmit(void);
extern void __dta_ndisc_send_skb_640(void);
extern void udpv6_queue_rcv_skb(void);
extern void __dta___ip6_append_data_253(void);
extern void ip6_send_skb(void);
extern void __dta_udp_v6_send_skb_667(void);
extern void udpv6_recvmsg(void);
extern void __dta_tcp_v6_send_synack_888(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__ip_drop__out",  "__ip6_flush_pending_frames" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___ip6_flush_pending_frames_245+0x000000000000008d },
  {"__ip_drop__out",  "ip6_send_skb" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_send_skb+0x0000000000000050 },
  {"__ip_drop__out",  "ip6_finish_output2" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_ip6_finish_output2_250+0x000000000000033a },
  {"__ip_send",  "ip6_xmit" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_xmit+0x0000000000000240 },
  {"__ip_drop__out",  "ip6_xmit" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_xmit+0x000000000000047c },
  {"__ip_drop__out",  "ip6_output" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_output+0x00000000000000c8 },
  {"__ip_drop__out",  "ip6_forward" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_forward+0x00000000000001de },
  {"__ip_drop__out",  "ip6_forward" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_forward+0x00000000000006bc },
  {"__ip_drop__out",  "ip6_forward" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_forward+0x00000000000007a6 },
  {"__ip_drop__out",  "__ip6_append_data" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___ip6_append_data_253+0x000000000000082a },
  {"__ip_drop__out",  "__ip6_append_data" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta___ip6_append_data_253+0x00000000000009a0 },
  {"__ip_drop__in",  "ipv6_rcv" /* .text */, 0 /* sdt_args string */, (uintptr_t)ipv6_rcv+0x0000000000000174 },
  {"__ip_receive",  "ip6_input" /* .text */, 0 /* sdt_args string */, (uintptr_t)ip6_input+0x000000000000002d },
  {"__ip_drop__in",  "ip6_input_finish" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_ip6_input_finish_271+0x0000000000000254 },
  {"__ip_send",  "ndisc_send_skb" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_ndisc_send_skb_640+0x000000000000019a },
  {"?__udp_send",  "udp_v6_send_skb" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_udp_v6_send_skb_667+0x00000000000000f4 },
  {"__udp_send",  "udp_v6_send_skb" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_udp_v6_send_skb_667+0x0000000000000387 },
  {"?__udp_receive",  "udpv6_recvmsg" /* .text */, 0 /* sdt_args string */, (uintptr_t)udpv6_recvmsg+0x00000000000004f4 },
  {"__udp_receive",  "udpv6_recvmsg" /* .text */, 0 /* sdt_args string */, (uintptr_t)udpv6_recvmsg+0x0000000000000622 },
  {"__perf_kfree_skb",  "udpv6_recvmsg" /* .text */, 0 /* sdt_args string */, (uintptr_t)udpv6_recvmsg+0x000000000000063a },
  {"?__udp_receive",  "udpv6_queue_rcv_skb" /* .text */, 0 /* sdt_args string */, (uintptr_t)udpv6_queue_rcv_skb+0x000000000000017c },
  {"__udp_receive",  "udpv6_queue_rcv_skb" /* .text */, 0 /* sdt_args string */, (uintptr_t)udpv6_queue_rcv_skb+0x00000000000004f4 },
  {"__ip_send",  "rawv6_send_hdrinc" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_rawv6_send_hdrinc_722+0x000000000000018b },
  {"__ip_send",  "rawv6_send_hdrinc" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_rawv6_send_hdrinc_722+0x0000000000000248 },
  {"__ip_send",  "mld_sendpack" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_mld_sendpack_820+0x000000000000018e },
  {"__ip_drop__out",  "mld_sendpack" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_mld_sendpack_820+0x0000000000000275 },
  {"__ip_send",  "igmp6_send" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_igmp6_send_824+0x00000000000002e6 },
  {"__ip_drop__out",  "igmp6_send" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_igmp6_send_824+0x00000000000003ed },
  {"__ip_drop__out",  "igmp6_send" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_igmp6_send_824+0x000000000000043b },
  {"?__tcp_send",  "tcp_v6_send_synack" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_send_synack_888+0x000000000000010d },
  {"__tcp_send",  "tcp_v6_send_synack" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_send_synack_888+0x000000000000027d },
  {"?__tcp_send",  "tcp_v6_send_response" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_send_response_913+0x0000000000000365 },
  {"?__tcp_accept__refused",  "tcp_v6_send_response" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_send_response_913+0x0000000000000372 },
  {"__tcp_send",  "tcp_v6_send_response" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_send_response_913+0x000000000000049e },
  {"__tcp_accept__refused",  "tcp_v6_send_response" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_send_response_913+0x0000000000000582 },
  {"?__tcp_receive",  "tcp_v6_rcv" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_rcv_916+0x00000000000000a3 },
  {"?__tcp_receive",  "tcp_v6_rcv" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_rcv_916+0x00000000000001c6 },
  {"__tcp_receive",  "tcp_v6_rcv" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_rcv_916+0x0000000000000610 },
  {"__tcp_receive",  "tcp_v6_rcv" /* .text */, 0 /* sdt_args string */, (uintptr_t)__dta_tcp_v6_rcv_916+0x0000000000000838 },
};

#define _sdt_probec	39
